Get a call by id
curl --request GET \
--url https://api.pineyard.ai/calls/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/calls/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"referenceId": "<string>",
"hasOpenIssue": true,
"contactName": "<string>",
"contactFields": {},
"doNotCall": true,
"doNotCallAt": "<string>",
"dncSource": "<string>",
"dncReason": "<string>",
"agentId": "<string>",
"agentName": "<string>",
"source": "<string>",
"campaignId": "<string>",
"campaignName": "<string>",
"campaignSource": "<string>",
"apiDelivery": {
"requestId": "<string>",
"idempotencyKey": "<string>",
"receivedAt": "<string>",
"requestTruncated": true,
"requestBody": null
},
"toNumber": "<string>",
"fromNumber": "<string>",
"status": "<string>",
"disposition": "<string>",
"answeredBy": "<string>",
"endCallReason": "<string>",
"hangupCause": "<string>",
"hangupSource": "<string>",
"billDurationSeconds": 123,
"transferredAt": "<string>",
"transferTarget": "<string>",
"durationMs": 123,
"queuedAt": "<string>",
"initiatedAt": "<string>",
"answeredAt": "<string>",
"endedAt": "<string>",
"transcriptLang": "<string>",
"summary": "<string>",
"hasRecording": true,
"recordingUrl": "<string>",
"recordingUrlExpires": "<string>",
"errorMessage": "<string>",
"creditsUsed": "<string>",
"billingMode": "PER_60S",
"pricePerMinuteSnapshotMicroRupees": "<string>",
"billingIncrementSnapshotSeconds": 123,
"billsecSeconds": 123,
"attemptNumber": 123,
"reengage": {
"churnEnabled": true,
"churnDepth": 123,
"attemptCount": 123,
"churnMaxAttempts": 123,
"nextEligibleAt": "<string>",
"contactStatus": "<string>"
},
"outcome": "<string>",
"dialReason": "<string>",
"history": [
{
"id": "<string>",
"attemptNumber": 123,
"dialReason": "<string>",
"outcome": "<string>",
"status": "<string>",
"durationMs": 123,
"queuedAt": "<string>",
"campaignId": "<string>",
"campaignName": "<string>",
"hasRecording": true
}
],
"hiddenAt": "<string>",
"hiddenRefundMicro": "<string>",
"transcript": null,
"transcriptTranslation": null,
"extraction": null
}Calls
Get a call by id
GET
/
calls
/
{id}
Get a call by id
curl --request GET \
--url https://api.pineyard.ai/calls/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/calls/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"referenceId": "<string>",
"hasOpenIssue": true,
"contactName": "<string>",
"contactFields": {},
"doNotCall": true,
"doNotCallAt": "<string>",
"dncSource": "<string>",
"dncReason": "<string>",
"agentId": "<string>",
"agentName": "<string>",
"source": "<string>",
"campaignId": "<string>",
"campaignName": "<string>",
"campaignSource": "<string>",
"apiDelivery": {
"requestId": "<string>",
"idempotencyKey": "<string>",
"receivedAt": "<string>",
"requestTruncated": true,
"requestBody": null
},
"toNumber": "<string>",
"fromNumber": "<string>",
"status": "<string>",
"disposition": "<string>",
"answeredBy": "<string>",
"endCallReason": "<string>",
"hangupCause": "<string>",
"hangupSource": "<string>",
"billDurationSeconds": 123,
"transferredAt": "<string>",
"transferTarget": "<string>",
"durationMs": 123,
"queuedAt": "<string>",
"initiatedAt": "<string>",
"answeredAt": "<string>",
"endedAt": "<string>",
"transcriptLang": "<string>",
"summary": "<string>",
"hasRecording": true,
"recordingUrl": "<string>",
"recordingUrlExpires": "<string>",
"errorMessage": "<string>",
"creditsUsed": "<string>",
"billingMode": "PER_60S",
"pricePerMinuteSnapshotMicroRupees": "<string>",
"billingIncrementSnapshotSeconds": 123,
"billsecSeconds": 123,
"attemptNumber": 123,
"reengage": {
"churnEnabled": true,
"churnDepth": 123,
"attemptCount": 123,
"churnMaxAttempts": 123,
"nextEligibleAt": "<string>",
"contactStatus": "<string>"
},
"outcome": "<string>",
"dialReason": "<string>",
"history": [
{
"id": "<string>",
"attemptNumber": 123,
"dialReason": "<string>",
"outcome": "<string>",
"status": "<string>",
"durationMs": 123,
"queuedAt": "<string>",
"campaignId": "<string>",
"campaignName": "<string>",
"hasRecording": true
}
],
"hiddenAt": "<string>",
"hiddenRefundMicro": "<string>",
"transcript": null,
"transcriptTranslation": null,
"extraction": null
}Required scope:
calls.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
PER_60S, PER_15S_AFTER_60S Show child attributes
Show child attributes
Show child attributes
Show child attributes

